{
  "format_version": "1.10.0",
  "animation_controllers": {
    "controller.animation.sgs_farm.sound":{
      "states":{
        "default":{
          "transitions":[
		    {"engine_on": "query.has_rider"}
          ]
        },
		"engine_on":{
          "animations":["sound_startup"],
          "transitions":[
            {"engine_on_idle":"query.any_animation_finished"},
			{"default":"!query.has_rider"}
          ]
        },
		"engine_on_idle":{
          "animations":["sound_engine"],
          "transitions":[
            {"default":"!query.has_rider"}
          ]
        }
      }
    }
  }
}

